%define module_version 0.05
%define module_name Mojolicious-Plugin-TagHelpers-NoCaching
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Mojo/Base.pm) perl(Mojo/DOM.pm) perl(Mojo/URL.pm) perl(Mojolicious.pm) perl(Mojolicious/Lite.pm) perl(Test/Mojo.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Force images, styles, js reloading by the browser if they were modified on filesystem
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/O/OL/OLEG/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
When you updating your project on production server with new version, new version often contains changed styles, javascript, images.
You fetched all new files from the repository, restarted application, but browsers still shows you old images, your html looks like
a shit (because of the old styles on new html), javascript events doesn't work (because of the old js in use). All of this because your
browser cached old version of included files and don't want to reload it.

If you ever come across this, this module will help you.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%changelog
* Mon Jan 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

